
/*
 * @(#)EnvFileChooser.java
 *
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 *
 * RID-X : ファイルチューザの作成
 *
 * @author  Intelligent Technology Inc.
 * @version 1.01 2002/05/23
 */
package jp.co.nri.rid.environment;

import javax.swing.*;
import java.awt.event.*;
import java.awt.*;
import java.io.File;

/**
  *ファイルチューザの作成
  **/
public class EnvFileChooser {

    /**
      * fileChooser
      * @param  parent          親コンポーネント
      * @param  path            プロジェクトディレクトリ
      * @param  selectionMode   セレクトモード
      * @return String          nullはキャンセルボタン
      */
    public String show(Component parent, String path, int selectionMode) {

        if (path == null) path = "";

        JFileChooser jFileChooser = new JFileChooser();
        jFileChooser.setCurrentDirectory(new File(path));
        jFileChooser.setFileSelectionMode(selectionMode);
        int nRet = jFileChooser.showOpenDialog(parent);

        // 応答ボタンを識別
        String szFile = null;
        if ( nRet == JFileChooser.APPROVE_OPTION) {
            // [OK]ボタンの場合、
            File fFile = jFileChooser.getSelectedFile();
            try {
              szFile = fFile.getCanonicalPath();
            } catch ( java.io.IOException evt) {
              szFile = fFile.getAbsolutePath();
            }
        }
        return szFile;
    }
}
